Bug 1569624 - discover-tempest-config does not configure the keystone extensions
Summary: discover-tempest-config does not configure the keystone extensions
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: zstream
: 8.0 (Liberty)
Assignee: Chandan Kumar
QA Contact: Arx Cruz
URL:
Whiteboard: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:29 UTC by Attila Fazekas
Modified: 2019-05-01 20:40 UTC (History)
8 users (show)

Fixed In Version: openstack-tempest-liberty-20160413.6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-01 20:40:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Liberty_tempest_test (22.90 KB, text/plain)
2018-12-12 14:51 UTC, Martin Kopec
no flags Details

Description Attila Fazekas 2018-04-19 15:29:01 UTC
I have deployment without OS-INHERIT keystone api extension enabled but tempest tries to run those tests even after using discover-tempest-config .

discover-tempest-config should populate the available identity features properly.

Comment 1 Martin Kopec 2018-06-11 11:49:14 UTC
It seems the same issue was reported and resolved here:
https://bugzilla.redhat.com/show_bug.cgi?id=1323991

If the solution mentioned there didn't help, please, provide more information like:
 - test which is failing
 - version of openstack-tempest
 - content of tempest.conf used for testing
 - parameters of config_tempest.py used to generate tempest.conf (in RHOS8 there is no discover-tempest-config command)

Comment 3 Attila Fazekas 2018-07-09 11:49:09 UTC
The solution mentioned is not merged and the patch also missing from the rpm.

openstack-tempest-liberty-20160413.4.el7ost.noarch.rpm

The failing tests matching to .*inherits.* test selector.

Example command:
source /root/keystonerc_admin ; /usr/share/openstack-tempest-*/tools/config_tempest.py --debug --create identity.uri $OS_AUTH_URL identity.admin_password $OS_PASSWORD

Comment 5 Martin Kopec 2018-07-12 12:12:53 UTC
I have found the problem. The .*inherits.* tests are executed, because tempest.conf doesn't contain any identity.api_extensions, which means, all extensions are enabled (or allowed to be tested).

The config_tempest discovers identity extensions correctly, however, it doesn't print them to a generated tempest.conf - It's because the SERVICE_EXTENSION_KEY is missing the following key-value pair:

'identity': 'api_extensions',

I've noticed, the change is already present in liberty branch, so just a new package needs to be released.

Comment 10 Martin Kopec 2018-12-12 14:51:22 UTC
Created attachment 1513693 [details]
Liberty_tempest_test

I verified that the package openstack-tempest-liberty-20160413.6.el7ost contains the fix for the issue.
I tested it on OpenStack Liberty installed via packstack, see the output in the attachment.
So when the package will be available in a puddle, the bug can be verified.

Comment 18 Martin Kopec 2019-02-12 08:09:03 UTC
The package containing the fix (openstack-tempest-liberty-20160413.6.el7ost) is available in RHOS-8 repository via latest symlink. Based on my comment #10, I'm moving the status of the bug to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.